SoNodeKitPath(3)

NAME
SoNodeKitPath - The SoNodeKitPath class is a path that contains only nodekit nodes.

SYNOPSIS

#include <Inventor/SoNodeKitPath.h>

Inherits SoPath.

  Public Member Functions
int getLength (void) const
SoNode * getTail (void) const
SoNode * getNode (const int idx) const
SoNode * getNodeFromTail (const int idx) const
void truncate (const int length)
void pop (void)
void append (SoBaseKit *childKit)
void append (const SoNodeKitPath *fromPath)
SbBool containsNode (SoBaseKit *node) const
int findFork (const SoNodeKitPath *path) const

  Protected Member Functions
SoNodeKitPath (const int approxLength)
virtual ~SoNodeKitPath ()

  Additional Inherited Members

Detailed Description

The SoNodeKitPath class is a path that contains only nodekit nodes. All other nodes are hidden from the user.

Constructor & Destructor Documentation

  SoNodeKitPath::SoNodeKitPath (const int approxLength) [protected]
A constructor.

  SoNodeKitPath::~SoNodeKitPath () [protected], [virtual]
The destructor.

Member Function Documentation

  int SoNodeKitPath::getLength (void) const
Returns the length of the path (the number of nodekit nodes).

  SoNode * SoNodeKitPath::getTail (void) const
Returns the tail of the path (the last nodekit in the path).

  SoNode * SoNodeKitPath::getNode (const int idx) const
Returns nodekit number idx in path.

  SoNode * SoNodeKitPath::getNodeFromTail (const int idx) const
Returns nodekit number idx in the path, from the tail.

  void SoNodeKitPath::truncate (const int length)
Truncates the path at nodekit number length.

  void SoNodeKitPath::pop (void)
Pops off the last nodekit (truncates at last tail).

  void SoNodeKitPath::append (SoBaseKit * childKit)
Appends childKit to the path. childKit should be a part in the tail nodekit of this path. In effect, the path from the tail to first occurrence of childKit will be appended to the path.

  void SoNodeKitPath::append (const SoNodeKitPath * fromPath)
Appends the nodekit path to this path. Head of fromPath must be a part in the current tail.

  SbBool SoNodeKitPath::containsNode (SoBaseKit * node) const
Returns TRUE if node is in this path.

  int SoNodeKitPath::findFork (const SoNodeKitPath * path) const
Returns the index of last common nodekit, or -1 if head node differs.

Author

Generated automatically by Doxygen for Coin from the source code.